_Evas_Event_Mouse_Move Struct Reference
Evas » Canvas Functions » Canvas Events

Mouse move event. More...

`#include <Evas_Legacy.h>`

## Data Fields

int | buttons
| Button pressed mask, Bits set to 1 are buttons currently pressed (bit 0 = mouse button 1, bit 1 = mouse button 2 etc.).
Evas_Position | cur
| Current mouse position.
Evas_Position | prev
| Previous mouse position.
void * | data
Evas_Modifier * | modifiers
| modifier keys pressed during the event
Evas_Lock * | locks
unsigned int | timestamp
Evas_Event_Flags | event_flags
Evas_Device * | dev
Evas_Object * | event_src
| The Evas Object that actually triggered the event, used in cases of proxy event propagation.

## Detailed Description

Mouse move event.